<?php
/**
 * Template part for displaying posts
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package qube
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class( 'row style-six' ); ?>>
	<?php if ( has_post_thumbnail() ) { ?>
	<div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
		<div class="post-thumbnail matchHeight">
			<img src="<?php echo esc_url( get_parent_theme_file_uri( '/assets/images/no-image/No-Image-Found-400x264.png' ) ); ?>" alt="<?php echo esc_attr__( 'No Image Found', 'qube' ); ?>" width="400" height="264">
			<?php if ( '' !== get_the_post_thumbnail() && ! is_single() ) : ?>
				<a class="placeholder" href="<?php the_permalink(); ?>" style="background-image:url('<?php esc_url( the_post_thumbnail_url( 'full' ) ); ?>')"></a>
			<?php endif; ?>
		</div><!-- .post-thumbnail -->
	</div>
	<?php } ?>
	<?php if ( has_post_thumbnail() ) { ?>
		<div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
	<?php } else { ?>
		<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
	<?php } ?>
		<div class="entry-main matchHeight">
			<header class="entry-header">
				<?php the_title( '<h3 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h3>' ); ?>
			</header><!-- .entry-header -->

			<!-- <div class="entry-content">
				<p><?php echo wp_kses( substr( wp_strip_all_tags( get_the_excerpt() ), 0, 120 ) . '...', 'post' ); ?></p>
			</div>.entry-content -->
			 <?php if ( true == qube_global_var( 'display_author_information', '', false ) ) : ?>
    			<span class="author"> <?php echo qube_global_var( 'prefix_author', '', false ); ?> <a href="<?php echo esc_url( get_author_posts_url( $post->post_author ) ); ?>">
    						<?php echo get_the_author_meta('display_name'); ?></a></span>
    		<?php endif; ?>
		
			<!-- <div class="more">
				<a class="btn" href="<?php esc_url( get_permalink() ); ?>"><span><?php echo esc_html__( 'Continue Reading', 'qube' ); ?></span><span class="btn-arrow"><i class="fa fa-angle-right"></i></span></a>
			</div> .more -->
		</div><!-- .entry-main -->
	</div>
</article><!-- #post-## -->
